Bug 818664 - [as5] write docs for the new startScript plugin config props on the two top-level Server types
[as5] write docs for the new startScript plugin config props on the two top-l...
Status: CLOSED UPSTREAM
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
4.3
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-05-03 13:02 EDT by Ian Springer
Modified: 2013-09-05 12:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 818662
Environment:
Last Closed: 2013-09-05 12:21:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-05-03 13:02:45 EDT
Add docs to the RHQ wiki first, and then re-assign this bug to Deon so she can add equivalent content to the JON docs.
Comment 1 Ian Springer 2012-05-03 13:05:56 EDT
We should remember to cover the how the new props inter-relate with the old props (bindAddress, configSet, and javaHome), as well as to add a blurb in the 4.4 relnotes about the new functionality w/ a pointer to the new docs.
Comment 2 Mike Foley 2012-05-08 15:33:31 EDT
per BZ triage ... crouch, loleary, foley
Comment 3 Jay Shaughnessy 2012-06-07 16:46:04 EDT
We've handled this by adding <help> text to the AS5 and AS7 plugin descriptors. As such the generated "management plugins" documentation will provide the necessary information.

Master commit 18781d18c5c94c08f82a3c21941639187515c701
    Add more <help> text to plugin descriptor for generated doc re
    start script handling.
Comment 4 Filip Brychta 2012-08-14 10:19:52 EDT
This commit is not in JON3.1.1.ER2
Comment 5 Deon Ballard 2012-08-22 21:05:16 EDT
I think there may be a commit hash problem. The help text is in the managed resource doc for 3.1.0:

https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Complete_Resource_Reference/JBossAS5-JBossAS_Server.html

Which was pulled from the release branch for 3.1.0. I would assume that the help would remain there for 3.1.1.
Comment 7 Mike Foley 2013-09-05 12:21:56 EDT
old documentation issues

Note You need to log in before you can comment on or make changes to this bug.